"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const supertest_1 = __importDefault(require("supertest"));
const app_1 = __importDefault(require("../src/app"));
const utils_1 = require("../src/utils");
describe("insert", () => {
    let app;
    let onDestroy;
    beforeAll(async () => {
        const appWithDest = await (0, app_1.default)((0, utils_1.getKeyValue)(globalThis, "__MONGO_URI__"), (0, utils_1.getKeyValue)(globalThis, "__MONGO_DB_NAME__"));
        app = appWithDest.app;
        onDestroy = appWithDest.onDestroy;
    });
    afterAll(async () => {
        await onDestroy();
    });
    it("should create and find a user", async () => {
        const res = await (0, supertest_1.default)(app)
            .post("/user")
            .set("content-type", "application/json")
            .send({ id: "01", name: "Ashish" });
        expect(res.status).toBe(200);
        const userRes = await (0, supertest_1.default)(app).get("/user/01");
        expect(userRes.body).toEqual({ id: "01", name: "Ashish" });
    });
});
//# sourceMappingURL=app.test.js.map