"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const utils_1 = require("../src/utils");
describe("insert", () => {
    let connection;
    let db;
    beforeAll(async () => {
        connection = await mongodb_1.MongoClient.connect((0, utils_1.getKeyValue)(globalThis, "__MONGO_URI__"));
        db = await connection.db((0, utils_1.getKeyValue)(globalThis, "__MONGO_DB_NAME__"));
    });
    afterAll(async () => {
        await connection.close();
    });
    it("should insert a doc into collection", async () => {
        const users = db.collection("users");
        const mockUser = { id: "some-user-id", name: "John" };
        await users.insertOne(mockUser);
        const insertedUser = await users.findOne({ id: "some-user-id" });
        expect(insertedUser).toEqual(mockUser);
    });
});
//# sourceMappingURL=mongo.test.js.map